path: /build/build/gjs-dev-libs-1.70.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="cairo readline" emerge dev-libs/gjs -pv -t && \
    USE="cairo readline" emerge -j ${JOBS} --nodeps dev-libs/gjs
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gjs && luet-portage --dir /pkgdir/gjs
    dev-libs/gjs && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:016434b5fea2ec87d2d2293c190088708ff5ad8e094aa479d292e6f0dd9eb71a
  package:
    name: gjs
    version: 1.70.0
    category: dev-libs
    use_flags:
    - cairo
    - readline
    requires:
    - name: macaroni-funtoo-race13
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Javascript bindings for GNOME
    uri:
    - https://wiki.gnome.org/Projects/Gjs
    license: MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )
    buildtimestamp: 2023-09-04 21:01:31.611803123 +0000 UTC m=+104.151084367
    labels:
      BDEPEND: virtual/pkgconfig app-arch/xz-utils >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: '>=dev-libs/glib-2.66.0 dev-libs/libffi:= >=dev-libs/gobject-introspection-1.66.1:=
        dev-lang/spidermonkey:78 cairo? ( x11-libs/cairo[X,svg] ) readline? ( sys-libs/readline:0=
        )'
      IUSE: +cairo examples gtk readline
      RDEPEND: '>=dev-libs/glib-2.66.0 dev-libs/libffi:= >=dev-libs/gobject-introspection-1.66.1:=
        dev-lang/spidermonkey:78 cairo? ( x11-libs/cairo[X,svg] ) readline? ( sys-libs/readline:0=
        )'
      emerge.packages: dev-libs/gjs
      kit: gnome-kit
      original.package.name: dev-libs/gjs
      original.package.slot: "0"
      original.package.version: 1.70.0
    treedir: /build/packages
  package_dir: /pkgdir/gjs
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: af324c97c9e8ddd78c88dc04571c50e6b1af41d6dc236595aaba256bf408a2bf
compressiontype: zstd
files:
- usr/bin/gjs
- usr/bin/gjs-console
- usr/include/gjs-1.0/gjs/context.h
- usr/include/gjs-1.0/gjs/coverage.h
- usr/include/gjs-1.0/gjs/error-types.h
- usr/include/gjs-1.0/gjs/gjs.h
- usr/include/gjs-1.0/gjs/macros.h
- usr/include/gjs-1.0/gjs/mem.h
- usr/include/gjs-1.0/gjs/profiler.h
- usr/lib64/gjs/girepository-1.0/GjsPrivate-1.0.typelib
- usr/lib64/libgjs.so
- usr/lib64/libgjs.so.0
- usr/lib64/libgjs.so.0.0.0
- usr/lib64/pkgconfig/gjs-1.0.pc
- usr/share/doc/gjs-1.70.0/NEWS.bz2
- usr/share/doc/gjs-1.70.0/README.MSVC.md.bz2
- usr/share/doc/gjs-1.70.0/README.md.bz2
- usr/share/gjs-1.0/lsan/lsan.supp
- usr/share/gjs-1.0/valgrind/gjs.supp
- var/db/pkg/dev-libs/gjs-1.70.0/BDEPEND
- var/db/pkg/dev-libs/gjs-1.70.0/BUILD_TIME
- var/db/pkg/dev-libs/gjs-1.70.0/CATEGORY
- var/db/pkg/dev-libs/gjs-1.70.0/CBUILD
- var/db/pkg/dev-libs/gjs-1.70.0/CFLAGS
- var/db/pkg/dev-libs/gjs-1.70.0/CHOST
- var/db/pkg/dev-libs/gjs-1.70.0/CONTENTS
- var/db/pkg/dev-libs/gjs-1.70.0/COUNTER
- var/db/pkg/dev-libs/gjs-1.70.0/CXXFLAGS
- var/db/pkg/dev-libs/gjs-1.70.0/DEFINED_PHASES
- var/db/pkg/dev-libs/gjs-1.70.0/DEPEND
- var/db/pkg/dev-libs/gjs-1.70.0/DESCRIPTION
- var/db/pkg/dev-libs/gjs-1.70.0/EAPI
- var/db/pkg/dev-libs/gjs-1.70.0/FEATURES
- var/db/pkg/dev-libs/gjs-1.70.0/HOMEPAGE
- var/db/pkg/dev-libs/gjs-1.70.0/INHERITED
- var/db/pkg/dev-libs/gjs-1.70.0/IUSE
- var/db/pkg/dev-libs/gjs-1.70.0/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/gjs-1.70.0/KEYWORDS
- var/db/pkg/dev-libs/gjs-1.70.0/LDFLAGS
- var/db/pkg/dev-libs/gjs-1.70.0/LICENSE
- var/db/pkg/dev-libs/gjs-1.70.0/NEEDED
- var/db/pkg/dev-libs/gjs-1.70.0/PF
- var/db/pkg/dev-libs/gjs-1.70.0/PROVIDES
- var/db/pkg/dev-libs/gjs-1.70.0/RDEPEND
- var/db/pkg/dev-libs/gjs-1.70.0/REQUIRES
- var/db/pkg/dev-libs/gjs-1.70.0/SIZE
- var/db/pkg/dev-libs/gjs-1.70.0/SLOT
- var/db/pkg/dev-libs/gjs-1.70.0/USE
- var/db/pkg/dev-libs/gjs-1.70.0/environment.bz2
- var/db/pkg/dev-libs/gjs-1.70.0/gjs-1.70.0.ebuild
- var/db/pkg/dev-libs/gjs-1.70.0/repository
package_cacheimage: ""
runtime:
  name: gjs
  version: 1.70.0
  category: dev-libs
  use_flags:
  - cairo
  - readline
  requires:
  - name: spidermonkey
    version: '>=0'
    category: dev-lang-78
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: libffi
    version: '>=0'
    category: dev-libs
  - name: cairo
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Javascript bindings for GNOME
  uri:
  - https://wiki.gnome.org/Projects/Gjs
  license: MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )
  labels:
    BDEPEND: virtual/pkgconfig app-arch/xz-utils >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: '>=dev-libs/glib-2.66.0 dev-libs/libffi:= >=dev-libs/gobject-introspection-1.66.1:=
      dev-lang/spidermonkey:78 cairo? ( x11-libs/cairo[X,svg] ) readline? ( sys-libs/readline:0=
      )'
    IUSE: +cairo examples gtk readline
    RDEPEND: '>=dev-libs/glib-2.66.0 dev-libs/libffi:= >=dev-libs/gobject-introspection-1.66.1:=
      dev-lang/spidermonkey:78 cairo? ( x11-libs/cairo[X,svg] ) readline? ( sys-libs/readline:0=
      )'
    emerge.packages: dev-libs/gjs
    kit: gnome-kit
    original.package.name: dev-libs/gjs
    original.package.slot: "0"
    original.package.version: 1.70.0
